package middleware;

import java.net.UnknownHostException;
import java.time.Duration;
import java.time.LocalDateTime;
import middleware.agents.MsgListener;
import middleware.agents.Portal;
import middleware.agents.Router;
import middleware.agents.UserAgent;

/**
 *
 * @author JLScott1999
 */
public class StressTest
{
    
    public static void main(String[] args) throws UnknownHostException
    {
        Router r1 = new Router(10000, "1.0.0", 50);
        Portal p1r1 = new Portal(10000, "1.1.0");
        Portal p2r1 = new Portal(10000, "1.2.0");
        UserAgent u1p1r1 = new UserAgent("1.1.1");
        UserAgent u2p1r1 = new UserAgent("1.1.2");
        UserAgent u1p2r1 = new UserAgent("1.2.1");
        r1.addAgent(p1r1);
        r1.addAgent(p2r1);
        r1.start();
        //p1r1.addAgent(p2r1);
        p1r1.addAgent(u1p1r1);
        p1r1.addAgent(u2p1r1);
        p1r1.start();
        p2r1.addAgent(u1p2r1);
        p2r1.start();
        u1p1r1.addListener(new MsgListener() {
            @Override
            public void UserAgentMsg(String sender, String msg)
            {
                LocalDateTime dateTimeMsg = LocalDateTime.parse(msg);
                LocalDateTime dateTimeNow = LocalDateTime.now();
                System.out.println(dateTimeMsg 
                            +   "   "     
                            + dateTimeNow 
                            +   "   "   
                            + Duration.between(dateTimeMsg, dateTimeNow).toMillis());
            }
        });
        
        // 1 Portal 2 Useragents
        
        int SENDMSGCOUNT = 1000;
        
        new Thread(new Runnable() {
            @Override
            public void run()
            {
                for (int i = 0; i < SENDMSGCOUNT; i++)
                {
                    u2p1r1.sendMsg(u2p1r1.getAddress(), "1.1.1", LocalDateTime.now().toString());
                }
            }
        }).start();

        for (int i = 0; i < SENDMSGCOUNT; i++)
        {
            u2p1r1.sendMsg(u2p1r1.getAddress(), "1.1.1", LocalDateTime.now().toString());
        }
        
        
        // 2 Portals 2 Useragents
        
//        new Thread(new Runnable() {
//            @Override
//            public void run()
//            {
//                for (int i = 0; i < SENDMSGCOUNT; i++)
//                {
//                    u1p2r1.sendMsg(u1p2r1.getAddress(), "1.1.1", LocalDateTime.now().toString());
//                }
//            }
//        }).start();
//        
//        for (int i = 0; i < SENDMSGCOUNT; i++)
//        {
//            u1p2r1.sendMsg(u1p2r1.getAddress(), "1.1.1", LocalDateTime.now().toString());
//        }
//        
    }
    
}
