package middleware.components.main;

import java.awt.BorderLayout;
import java.awt.Dimension;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import middleware.components.main.nodelistener.NodeListener;
import middleware.components.main.nodeview.NodeView;

/**
 * The Main GUI form
 * 
 * @author Dan Lawrence
 */
public class MainUI extends JFrame {
      
    NodeView nodeView;
            
    NodeListener nodeListener;
       
    /**
     * Creates the Main UI
     */
    public MainUI() {
        setUpComponent();
    }
    
    /**
     * Sets up all GUI components for the main GUI
     */
    private void setUpComponent() {
        nodeListener = new NodeListener();
        
        nodeView = new NodeView(nodeListener);
        add(nodeView, BorderLayout.WEST);
               
        JScrollPane nodeListenerScroller = new JScrollPane(nodeListener);
        nodeListenerScroller.setPreferredSize(new Dimension(880,200));
        
        add(nodeListenerScroller,BorderLayout.EAST);
        
        setTitle("Middleware");
        
        setResizable(false);
        
        setDefaultCloseOperation(3);
        setVisible(true);
        
        pack();        
    }
}
