package middleware.components.main.nodeview;

import java.awt.Dimension;
import javax.swing.BoxLayout;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import middleware.components.main.nodelistener.NodeListener;
import middleware.components.main.nodeview.controls.ControlPane;

/**
 * NodeView
 * Used to display the NodeTree
 *
 * @author Dan Lawrence
 */
public class NodeView extends JPanel {

    /**
     * Creates an instance of NodeView, with an attached NodeListener
     * @param nodeListenerIn nodelistener used to feed data to the view
     */
    public NodeView(NodeListener nodeListenerIn) {
        setUpComponent(nodeListenerIn);
    }

    private void setUpComponent(NodeListener nodeListenerIn) {
        setLayout(new BoxLayout(this, BoxLayout.PAGE_AXIS));

        NodeTree nodeTree = new NodeTree(nodeListenerIn);
        JScrollPane nodeTreePane = new JScrollPane (nodeTree);
        nodeTreePane.setPreferredSize(new Dimension(200,400));

        add(nodeTreePane);

        ControlPane controlPane = new ControlPane(nodeTree);

        add(controlPane);

        setVisible(true);
    }
}
