package middleware.components.main.nodeview.controls;

import java.awt.Dimension;
import javax.swing.JPanel;
import middleware.components.main.nodeview.NodeTree;

/**
 * Control Pane
 * Handles GUI components for controls of the Node Tree
 *
 * @author Dan Lawrence
 */
public class ControlPane extends JPanel {

    RouterButton routerButton;

    PortalButton portalButton;

    UserAgentButton userAgentButton;

    /**
     * Creates an instance of ControlPane, attached to a NodeTree
     * @param nodeTreeIn nodetree which the controls control
     */
    public ControlPane(NodeTree nodeTreeIn) {
        routerButton = new RouterButton(nodeTreeIn);

        portalButton = new PortalButton(nodeTreeIn);

        userAgentButton = new UserAgentButton(nodeTreeIn);
        setUpComponent();
    }

    private void setUpComponent() {
        add(routerButton);

        add(portalButton);

        add(userAgentButton);

        setPreferredSize(new Dimension(200,80));

        setVisible(true);
    }
}
