/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package middleware.components.main.nodeview.controls;

import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import middleware.components.main.nodeview.NodeTree;

/**
 * PortalButton
 * Button used to create portals and add them to the NodeTree
 */
public class PortalButton extends JButton implements ActionListener {

    NodeTree nodeTree;

    /**
     * Creates an instance of PortalButton and sets up its components
     * @param nodeTreeIn attached nodeTree
     */
    public PortalButton(NodeTree nodeTreeIn) {
        nodeTree = nodeTreeIn;

        setUpComponent();
    }

    private void setUpComponent() {
        setText("Add Portal");

        setPreferredSize(new Dimension(190,20));

        setVisible(true);

        addActionListener(this);
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        if (e.getSource() == this)
            nodeTree.addPortal();
    }
}
