/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package middleware.components.main.nodeview.controls;

import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.net.UnknownHostException;
import javax.swing.JButton;
import javax.swing.JOptionPane;
import middleware.components.main.nodeview.NodeTree;

/**
 * RouterButton
 * Button used to create and add routers to a NodeTree
 *
 */
public class RouterButton extends JButton implements ActionListener {

    NodeTree nodeTree;

    /**
     * Creates and sets up button, attached to specified NodeTree
     * @param nodeTreeIn NodeTree
     */
    public RouterButton(NodeTree nodeTreeIn) {
        nodeTree = nodeTreeIn;

        setUpComponent();
    }

    private void setUpComponent() {
        setText("Add Router");

        setPreferredSize(new Dimension(190,20));

        setVisible(true);

        addActionListener(this);
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        if (e.getSource() == this)  {          
            String id = (String) JOptionPane.showInputDialog(null, "Router ID", "Set Router ID", JOptionPane.PLAIN_MESSAGE, null, null, "");
            String ipAddress = (String) JOptionPane.showInputDialog(null, "IP Address", "Add Router", JOptionPane.PLAIN_MESSAGE, null, null, "");               
            String port = (String) JOptionPane.showInputDialog(null, "Port", "Add Router", JOptionPane.PLAIN_MESSAGE, null, null, "");

            try
            {
                nodeTree.addRouter(Integer.parseInt(id), ipAddress, Integer.parseInt(port));
                //nodeTree.addRouter(Integer.parseInt(id), ipAddress, Integer.parseInt(port));
            } 
            catch (UnknownHostException | NumberFormatException ex)
            {
                ex.printStackTrace();
            }
        }
    }

}
