
package middleware.components.main.nodeview.controls;

import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import middleware.components.main.nodeview.NodeTree;

/**
 * UserAgentButton
 * Creates and adds user agents to a node tree
 * 
 * @author Dan Lawrence
 */
public class UserAgentButton extends JButton implements ActionListener{
    
    NodeTree nodeTree;
    
    /**
     * Creates button to add User Agents to a node tree
     * @param nodeTreeIn 
     */
    public UserAgentButton(NodeTree nodeTreeIn) {
        nodeTree = nodeTreeIn;
        
        setUpComponent();
    }
    
    private void setUpComponent() {
        setText("Add User Agent");
        
        setPreferredSize(new Dimension(190,20));
        
        setVisible(true);
        
        addActionListener(this);
    }

    /**
     * When an action is performed, adds useragent to nodetree
     * @param e 
     */
    @Override
    public void actionPerformed(ActionEvent e) {
        if (e.getSource() == this)
            nodeTree.addUserAgent();
    }
}
