
package middleware.components.useragents.messagesending;

import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JTextField;

/**
 * MessageBox. A text field used to type a string message, with the intend to 
 * send that message to another user.
 * 
 * @author Dan Lawrence
 */
public class MessageBox extends JTextField implements ActionListener {
     
    RecipientBox recipientBox;
    
    SendButton sendButton;
    
    /**
     * Constructor.
     */
    public MessageBox(RecipientBox recipientBoxIn) {
        recipientBox = recipientBoxIn;
        
        setUpComponent();
    }
    
    private void setUpComponent() {
        setPreferredSize(new Dimension(500,20));
        setVisible(true);
        setOpaque(true);
        
        addActionListener(this);
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        if (!getText().equals("") && !recipientBox.getText().equals(""))
            sendButton.sendMessage();
    }
}
