
package middleware.components.useragents.messagesending;

import javax.swing.JPanel;
import middleware.agents.UserAgent;
import middleware.components.useragents.messagefeed.MessageFeed;

/**
 * MessageSender.
 * 
 * @author Dan Lawrence
 */
public class MessageSender extends JPanel {

    final RecipientBox recipientBox;
    
    final MessageBox messageBox;
    
    final SendButton sendButton;
    
    public MessageSender(UserAgent userAgent, MessageFeed messageFeedIn) {  
        recipientBox = new RecipientBox();
        messageBox = new MessageBox(recipientBox);     
        sendButton = new SendButton(userAgent, recipientBox,messageBox,messageFeedIn);
        
        setUpComponent();
    }
    
    private void setUpComponent() {
        setVisible(true);
        
        add(recipientBox);
        add(messageBox);
        add(sendButton);
    }
    
}
