package middleware.message;

import middleware.agents.AgentAddress;

/**
 * A type of message for system communication
 */
public class SystemMessage extends Message
{
    
    private final static AgentAddress SYSTEMADDRESS = new AgentAddress("0.0.0");
    
    /**
     * Creates an instance of System message
     * @param m message content
     * @param r recipient
     */
    public SystemMessage(Object m, String r)
    {
        super(m, r);
    }

    /**
     * Gets sender
     * @return always "System"
     */
    @Override
    public AgentAddress getSender()
    {
        return SYSTEMADDRESS;
    }
}