package middleware.message.wrapper;

import middleware.message.Message;
import middleware.message.MetaAgentMessage;

/**
 * Wraps given data into a <i>MetaAgentMessage</i>
 */
public class MetaAgentWrapper
{
    /**
     * Creates a new <i>MetaAgentMessage</i> from given properties
     * @param m message content
     * @param ttl time to live (TTL)
     * @return wrapped <i>MetaAgentMessage</i>
     */
    public static MetaAgentMessage wrap(Message m, int ttl)
    {
        return new MetaAgentMessage(m, ttl);
    }
    
    /**
     * Unwraps a given message
     * @param m MetaAgentMessage to be unwrapped
     * @return message content
     */
    public static Message unwrap(MetaAgentMessage m)
    {
        return m.getMessage();
    }
}
