package middleware.message.wrapper;

import middleware.message.UserMessage;

/**
 * Wraps given parameters into a UserMessage
 */
public class UserAgentWrapper
{
    /**
     * Creates a new UserMessage with given properties
     * @param m message content
     * @param r recipient
     * @param sender sender
     * @param n requires response?
     * @param res response content
     * @param id message id
     * @return Created UserMessage
     */
    public static UserMessage wrap(Object m, String r, String sender, boolean n, String res, String id)
    {
        return new UserMessage(m, r, sender, n, res, id);
    }
    
    /**
     * Unwraps a specified user message
     * @param m user message
     * @return message content
     */
    public static Object unwrap(UserMessage m)
    {
        return m.getMessage();
    }
}
