package middleware.socket;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.net.Socket;
import middleware.agents.Router;
import middleware.message.MetaAgentMessage;

/**
 * A type of thread for running <i>Server</i> objects
 */
public class ServerThread extends Thread
{
    private Socket socket;
    private Router router;

    /**
     * Creates an instance of ServerThread with given property
     * @param client client socket
     */
    public ServerThread (Socket client, Router r)
    {
        socket = client;
        router = r;
    }

    /**
     * Closes connection
     * @throws IOException
     */
    public void close() throws IOException
    {
        socket.close();
    }

    /**
     * Runs thread
     */
    @Override
    public void run()
    {
        ObjectInputStream objIn = null;

        try
        {
            objIn = new ObjectInputStream(socket.getInputStream());
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }

        //Object input;
        MetaAgentMessage input;
        for(;;)
        {
            try
            {
                input = (MetaAgentMessage) objIn.readObject();
                //out.flush();
                System.out.println("Object is of type: " + input.getClass().getSimpleName());
                System.out.println(input);
                
                if (router != null)
                    router.add(input);
                //INPUT IS THE MESSAGE HERE
                //SHOULD STICK AT THE readLine CODE UNTIL A LINE IS DETECTED
                //CAN USE RETURN TO BREAK OUT OF LOOP IF NEEDED
            }
            catch (Exception e)
            {
                e.printStackTrace();
            }
        }
    }
}
